Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Partner

Create merchant Account

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

POST
/public/api/v1/partner/accounts

Use this endpoint to create a new merchant account associated with your partner profile.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

namestring
Required

The name of the merchant. This is typically the company name or the name of the merchant domain or app.

Example:
"Merchant Name"
emailstring
Required

The email address of the merchant account owner. This email will automatically be invited to join the created merchant account and granted ownership privileges.

Format:
email
Example:
"owner@merchant.dk"
currencyCodestring
Required

The primary currency of the merchant. Alpha-3.

Example:
"DKK"
languagestring

The primary language of the merchant. ISO 639.

Example:
"da"
timezonestring
Required

The primary timezone of the merchant.

Example:
"Europe/Copenhagen"
domainstring
Required

The primary domain used by the merchant. This should be the URL that purchases are expected to take place from.

Example:
"merchant.dk"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/api/v1/partner/accounts" \  -H "Content-Type: application/json" \  -d '{    "name": "Merchant Name",    "email": "owner@merchant.dk",    "currencyCode": "DKK",    "timezone": "Europe/Copenhagen",    "domain": "merchant.dk"  }'
{  "account": {    "id": "019a0abe-f093-72c7-9f89-be4e48b9e01e",    "name": "string",    "addressLineOne": "string",    "addressLineTwo": "string",    "city": "string",    "postalCode": "string",    "countryCode": "string",    "phone": "string",    "email": "string",    "timezone": "string",    "invoiceEmail": "string",    "invoiceAttention": "string",    "vat": "string",    "currencyCode": "string",    "status": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}